# $Revision: 1.6 $, $Date: 2004/08/11 21:12:15 $
Summary:	A Commodore 64 music player and SID chip emulator library
Summary(pl):	Biblioteka odtwarzajca muzyczki z Commodore 64 i emulujca ukad SID
Name:		libsidplay2
Version:	2.1.1
Release:	2
License:	GPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/sidplay2/sidplay-libs-%{version}.tar.gz
# Source0-md5:	7ea0ba5dc1da4604d15eaae001f7d2a7
URL:		http://sidplay2.sourceforge.net/
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sidplay 2 is the second in the Sidplay series originally developed by
Michael Schwendt. This version is written by Simon White and is cycle
accurate for improved sound reproduction. Sidplay 2 is capable of
playing all C64 mono and stereo file formats.

%description -l pl
Sidplay 2 to druga wersja z serii Sidplay oryginalnie stworzonej przez
Michaela Schwendta. Ta wersja zostaa napisana przez Simona White'a i
jest dokadna co do cyklu w celu zwikszonej wiernoci reprodukcji
dwiku. Sidplay 2 moe odtwarza wszystkie formaty plikw mono i
stereo z C64.

%package devel
Summary:	Header files for compiling apps that use libsidplay
Summary(pl):	Pliki nagwkowe do budowania aplikacji uywajcych libsidplay
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
This package contains the header files for compiling applications that
use libsidplay.

%description devel -l pl
Ten pakiet zawiera pliki nagwkowe do budowania aplikacji uywajcych
biblioteki libsidplay.

%package static
Summary:	Static libsidplay library
Summary(pl):	Statyczna biblioteka libsidplay
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains static version of libsidplay.

%description static -l pl
Ten pakiet zawiera statyczn wersj libsidplay.

%prep
%setup -q -n sidplay-libs-%{version}

%build
cp -f /usr/share/automake/config.* unix
cp -f /usr/share/automake/config.* libsidplay/unix
cp -f /usr/share/automake/config.* libsidutils/unix
cp -f /usr/share/automake/config.* resid
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc libsidplay/{AUTHORS,ChangeLog,TODO}
%attr(755,root,root) %{_libdir}/libsidplay2.so.*.*.*
%attr(755,root,root) %{_libdir}/libsidutils.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsidplay2.so
%attr(755,root,root) %{_libdir}/libsidutils.so
%{_libdir}/libsidplay2.la
%{_libdir}/libsidutils.la
%{_libdir}/sidplay
%{_includedir}/sidplay
%{_pkgconfigdir}/libsidplay2.pc
%{_pkgconfigdir}/libsidutils.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libsidplay2.a
%{_libdir}/libsidutils.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libsidplay2.spec,v $
Revision 1.6  2004/08/11 21:12:15  qboosh
- fixed build on amd64, release 2

Revision 1.5  2004/07/04 17:50:36  qboosh
- updated to 2.1.1, BR+R libstdc++-devel

Revision 1.4  2004/02/08 00:21:19  wolf
- amd64 fix

Revision 1.3  2004/02/08 00:03:23  wolf
- /usr/lib/sidplay is required

Revision 1.2  2004/02/07 23:51:24  qboosh
- pl description, unifications

Revision 1.1  2004/02/07 23:33:56  wolf
- new
